## lxd 5.0.2

=== Makefile ===
--- 
+++ 
@@ -112,8 +112,8 @@
 endif
 	swagger generate spec -o doc/rest-api.yaml -w ./lxd -m
 
-.PHONY: doc
-doc:
+.PHONY: doc-setup
+doc-setup:
 	@echo "Setting up documentation build environment"
 	python3 -m venv .sphinx/venv
 	. $(SPHINXENV) ; pip install --upgrade -r .sphinx/requirements.txt
@@ -123,7 +123,9 @@
 	ln -sf ../../deps/swagger-ui/dist/swagger-ui-bundle.js ../../deps/swagger-ui/dist/swagger-ui-standalone-preset.js ../../deps/swagger-ui/dist/swagger-ui.css .sphinx/_static/swagger-ui/
 	wget -N -P .sphinx/_static/download https://linuxcontainers.org/static/img/favicon.ico https://linuxcontainers.org/static/img/containers.png https://linuxcontainers.org/static/img/containers.small.png
 	rm -Rf doc/html
-	make doc-incremental
+
+.PHONY: doc
+doc: doc-setup doc-incremental
 
 .PHONY: doc-incremental
 doc-incremental:
@@ -137,6 +139,14 @@
 .PHONY: doc-spellcheck
 doc-spellcheck: doc
 	. $(SPHINXENV) ; python3 -m pyspelling -c .sphinx/.spellcheck.yaml
+
+.PHONY: doc-linkcheck
+doc-linkcheck: doc-setup
+	. $(SPHINXENV) ; sphinx-build -c .sphinx/ -b linkcheck doc/ doc/html/
+
+.PHONY: doc-lint
+doc-lint:
+	.sphinx/.markdownlint/doc-lint.sh
 
 .PHONY: debug
 debug:
@@ -231,24 +241,23 @@
 .PHONY: update-pot
 update-pot:
 ifeq "$(LXD_OFFLINE)" ""
-	(cd / ; go install -v -x github.com/snapcore/snapd/i18n/xgettext-go@latest)
+	(cd / ; go install -v -x github.com/snapcore/snapd/i18n/xgettext-go@2.57.1)
 endif
 	xgettext-go -o po/$(DOMAIN).pot --add-comments-tag=TRANSLATORS: --sort-output --package-name=$(DOMAIN) --msgid-bugs-address=lxc-devel@lists.linuxcontainers.org --keyword=i18n.G --keyword-plural=i18n.NG lxc/*.go lxc/*/*.go
 
 .PHONY: build-mo
 build-mo: $(MOFILES)
 
-SHELLCHECK_VERSION := $(shell shellcheck --version | grep version: | cut -d ' ' -f2)
 .PHONY: static-analysis
 static-analysis:
 ifeq ($(shell command -v golangci-lint 2> /dev/null),)
-	go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
+	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.46.2
 endif
 ifeq ($(shell command -v shellcheck 2> /dev/null),)
 	echo "Please install shellcheck"
 	exit 1
 endif
-ifneq "$(SHELLCHECK_VERSION)" "0.8.0"
+ifneq "$(shell shellcheck --version | grep version: | cut -d ' ' -f2)" "0.8.0"
 	@echo "WARN: shellcheck version is not 0.8.0"
 endif
 ifeq ($(shell command -v flake8 2> /dev/null),)
@@ -258,8 +267,9 @@
 	golangci-lint run --timeout 5m
 	flake8 test/deps/import-busybox
 	shellcheck --shell sh test/*.sh test/includes/*.sh test/suites/*.sh test/backends/*.sh test/lint/*.sh
+	shellcheck test/extras/*.sh
 	run-parts --regex '.sh' test/lint
 
 .PHONY: tags
 tags: *.go lxd/*.go shared/*.go lxc/*.go
-	find . | grep \.go | grep -v git | grep -v .swp | grep -v vagrant | xargs gotags > tags
+	find . -type f -name '*.go' | xargs gotags > tags
