=== debian/changelog ===
lxd (5.0.2-5+deb12u1) bookworm-security; urgency=high

  * Backport fixes for the following security issues that are unfixed by
    Canonical in the stable-5.0 branch:
    - CVE-2025-54293 / GHSA-472f-vmf2-pr3h
    - CVE-2025-54287 / GHSA-w2hg-2v4p-vmh6
    - CVE-2025-54288 / GHSA-7232-97c6-j525
  * Backport fixes for the following security issues fixed by Canonical:
    - CVE-2025-54286 / GHSA-p8hw-rfjg-689h
  * Backport patch to skip a couple of flaky tests (Closes: #1114940)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 02 Oct 2025 16:38:32 +0000

lxd (5.0.2-5) unstable; urgency=medium

  * Add missing Replaces in d/control for lxd-client to fix potential bullseye
    upgrade issue (Closes: #1034971)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 05 May 2023 12:42:21 +0000

lxd (5.0.2-4) unstable; urgency=medium

  * Cherry-pick upstream fix for qemu >= 7.2 (Closes: #1030365)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 23 Apr 2023 17:50:08 +0000

lxd (5.0.2-3) unstable; urgency=medium

  * Cherry-pick upstream commit to fix issue with btrfs-progs >= 6.0
    (Closes: #1032482)
  * Document known issue with virtual machines not working with QEMU 7.2
    (See: #1030365)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 08 Mar 2023 02:27:33 +0000

lxd (5.0.2-2) unstable; urgency=medium

  * Fix mipsel and mips64el builds

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 18 Jan 2023 02:17:18 +0000

lxd (5.0.2-1) unstable; urgency=medium

  * New upstream release:
    - Drop patches applied upstream
    - Refresh remaining patches
    - Add patch to temporarily revert use of go-criu v6
  * Update Build-Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 17 Jan 2023 03:35:04 +0000

lxd (5.0.1-5) unstable; urgency=medium

  * d/control:
    - Build-Depend on golang-github-golang-protobuf-1-5-dev
    - Add Build-Conflicts: golang-github-golang-protobuf-1-3-dev
    - Update minimum version of gobgp
    - Remove tomoyo-tools from list of Suggested packages
  * Refresh d/copyright
  * Update mention of dnsmasq to dnsmasq-base in d/README.debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 08 Jan 2023 03:22:20 +0000

lxd (5.0.1-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version (no changes needed)
    - Build-Depend on gobgp 3.x; drop patch for gobgp 2.x
    - Recommend dnsmasq-base rather than a full dnsmasq install

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 29 Dec 2022 00:01:16 +0000

lxd (5.0.1-3) unstable; urgency=medium

  [ Mathias Gibbens ]
  * Update my email address
  * Update d/README.debian:
    - Add a note about running LXD and Docker on the same host
    - Update documentation for running LXD on non-systemd hosts
    - Add basic configuration instructions
  * Fix salsa CI autopkgtest job failure
  * Work on making builds reproducible
  * Cherry-pick upstream commit fixing referenced configuration directory
    (Closes: #1021624)
  * Move lxd-agent to Recommends from Suggests
  * Move dnsmasq to Recommends from Depends (Closes: #1025432)

  [ Michael Jeanson ]
  * Clean 'man1/' created in d/rules

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 11 Dec 2022 17:05:51 +0000
