=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: lxd
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: admin
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -14,9 +14,9 @@
                golang-github-digitalocean-go-smbios-dev,
                golang-github-dustinkirkland-golang-petname-dev,
                golang-github-flosch-pongo2.v4-dev,
-               golang-github-fsnotify-fsnotify-dev,
                golang-github-fvbommel-sortorder-dev,
                golang-github-go-macaroon-bakery-macaroon-bakery-dev,
+               golang-github-golang-protobuf-1-5-dev,
                golang-github-google-gopacket-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gorilla-websocket-dev,
@@ -33,8 +33,9 @@
                golang-github-mdlayher-netx-dev,
                golang-github-mdlayher-vsock-dev,
                golang-github-miekg-dns-dev,
+               golang-github-minio-minio-go-v7-dev,
                golang-github-olekukonko-tablewriter-dev,
-               golang-github-osrg-gobgp-dev,
+               golang-github-osrg-gobgp-dev (>= 3.10.0),
                golang-github-pborman-uuid-dev,
                golang-github-pkg-sftp-dev,
                golang-github-pkg-xattr-dev,
@@ -52,12 +53,13 @@
                golang-gopkg-juju-environschema.v1-dev,
                golang-gopkg-lxc-go-lxc.v2-dev,
                golang-gopkg-tomb.v2-dev,
-               golang-goprotobuf-dev,
+               golang-k8s-utils-dev,
                golang-yaml.v2-dev,
                help2man,
                libacl1-dev,
                libcap-dev
-Standards-Version: 4.6.1
+Build-Conflicts: golang-github-golang-protobuf-1-3-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/lxd
 Vcs-Git: https://salsa.debian.org/go-team/packages/lxd.git
 Homepage: https://github.com/lxc/lxd
@@ -71,7 +73,6 @@
          ${shlibs:Depends},
          attr,
          ca-certificates,
-         dnsmasq,
          liblxc-common,
          lxcfs,
          lxd-client (= ${binary:Version}),
@@ -79,10 +80,10 @@
          squashfs-tools,
          uidmap,
          xz-utils
-Recommends: apparmor
+Recommends: apparmor, dnsmasq-base, lxd-agent
 # First line of suggested packages will enable additional LXD storage backends
 Suggests: btrfs-progs, ceph-common, lvm2, zfsutils-linux,
-          lxd-agent, lxd-tools, gdisk, tomoyo-tools
+          lxd-tools, gdisk
 Built-Using: ${misc:Built-Using}
 Description: Powerful system container and virtual machine manager - daemon
  LXD is a next generation system container and virtual machine manager.
@@ -98,8 +99,9 @@
 Package: lxd-client
 # The lxc binary doesn't depend on liblxc1, so it can be built for any architecture
 Architecture: any
-# lxc prior to 5.0.0 shipped a file that conflicts with LXD (see #1010843)
-Breaks: lxc (<< 1:5.0.0)
+# lxc prior to 5.0.1 shipped a file that conflicts with LXD (see #1010843, #1034971)
+Breaks: lxc (<< 1:5.0.1)
+Replaces: lxc (<< 1:5.0.1)
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
