## lxd 5.0.2%2Bgit20231211.1364ae4

=== debian/changelog ===
lxd (5.0.2+git20231211.1364ae4-9) unstable; urgency=medium

  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Add Static-Built-Using stanzas
    - Update Conflicts for lxd-tools after Incus package reorganization
  * Fix inadvertent policy violation where build created files in HOME
  * Fix lintian warning old-fsf-address-in-copyright-file in d/copyright
  * Update patch fixing creation of VMs with newer version of QEMU (ported
    from Incus)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 14:31:35 +0000

lxd (5.0.2+git20231211.1364ae4-8) unstable; urgency=medium

  * Update Standards-Version to 4.7.1 in d/control (no changes needed)
  * Update years in d/copyright
  * Add patch to skip a couple of flaky tests (Closes: #1089935)
  * Cherry-pick upstream update of test cert to prevent future FTBFS errors
    during trixie support period (Closes: #1078628)
  * Add patches fixing creation of VMs with newer versions of QEMU (ported
    from Incus)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 23 Feb 2025 21:30:48 +0000

lxd (5.0.2+git20231211.1364ae4-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:22:57 -0400

lxd (5.0.2+git20231211.1364ae4-6) experimental; urgency=medium

  * Team upload.
  * Build against go-criu v7, Closes: #1078219

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 22:30:24 -0400

lxd (5.0.2+git20231211.1364ae4-5) unstable; urgency=medium

  * Update the images: remote URL to point to Canonical's server
    (Closes: #1071047)
  * Move a couple of installed files from /lib/ to /usr/lib/ to support the
    /usr merge effort

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 12 Jun 2024 10:41:51 +0000

lxd (5.0.2+git20231211.1364ae4-4) unstable; urgency=medium

  * Add patch to fix building with zitadel/oidc/v3
  * Remove dropped lintian override for lxd-agent
  * Update d/watch to reflect new LTS versioning scheme

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 11 Apr 2024 00:49:32 +0000

lxd (5.0.2+git20231211.1364ae4-3) unstable; urgency=medium

  * Add a NEWS entry mentioning LXD's relicensing and recommending users
    switch to Incus
  * Add a patch to fix apparmor profile generation for QEMU instances (copied
    from Incus)
  * d/control:
    - Add Conflicts: incus-tools for lxd-tools
  * Rename d/README.debian -> d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Jan 2024 21:25:04 +0000

lxd (5.0.2+git20231211.1364ae4-2) unstable; urgency=medium

  * Fix autopkgtest
  * Add a patch to fix QEMU detection
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 08 Jan 2024 23:50:45 +0000

lxd (5.0.2+git20231211.1364ae4-1) unstable; urgency=medium

  * Import snapshot of upstream stable-5.0 with final commit prior to upstream
    changing licensing to AGPL-3.0 (see #1058592 for more information)
    - Drop patches previously applied upstream
    - Refresh remaining patches as needed
  * d/control:
    - Update Build-Depends
    - Update XS-Go-Import-Path to reflect upstream project movement
    - Add a golang-github-canonical-lxd-dev binary package
  * Update d/rules reference of project's gopath
  * Add a note to d/README.source about LXD's licensing changes

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 21 Dec 2023 01:23:27 +0000

lxd (5.0.2-6) unstable; urgency=medium

  * Update URLs to reflect movement of LXD project
  * Cherry-pick upstream patch for building on loong64

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 23 Nov 2023 14:37:00 +0000
